rocblas (7.1.0-1ubuntu4) resolute; urgency=medium

  * d/rules: use the exact ISA list from pkg-rocm-tools.
    We dont need to filter gfx11-generic as it is not in the updated ISA
    list anymore, once we have support for generics ready for tensile we
    should add this ISA into pkg-rocm-tools and then no change rebuild of
    rocblas would be sufficient. (LP: #2143315)
  * d/control: add XB-X-ROCm-GPU-Architecture metadata for binary packages.
    The packages bin:librocblas5-bench and bin:librocblas5-tests were
    missing this metadata. This is used to easily determine which ISAs that
    the package has been built for.

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 20 Mar 2026 11:38:00 +0100

rocblas (7.1.0-0ubuntu3) resolute; urgency=medium

  * d/rules: filter gfx11-generic from rocm-target-arch

 -- Igor Luppi <igor.luppi@canonical.com>  Wed, 28 Jan 2026 21:41:34 -0300

rocblas (7.1.0-0ubuntu2) resolute; urgency=medium

  * d/{control,rules}: update b-d to use upstream llvm-21 (LP: #2140431)
  * d/p/update-toolchain-defaults-for-upstream-llvm.patch
  * d/librocblas5.symbols.amd64: remove debian revision from symbols
  * d/control: add libamdhip64-dev as build dependency
  * d/control: make sure to use rocm 7.1.0 in build depends

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 16 Jan 2026 10:47:29 +0100

rocblas (7.1.0-0ubuntu1) resolute; urgency=medium

  [ Talha Can Havadar ]
  * New upstream version 7.1.0
  * d/gbp.conf: change debian-branch to ubuntu/devel
  * d/patches: fix patch hunks for the patches below.
     - Enable-changing-directory-for-test-data.patch
     - Skip-git-requirement.patch
     - use-generic-blas-for-reference.patch
     - verbose-tensile-source-kernel-build.patch
  * d/s/options: ignore diffs in .github and .jenkins they are line endings
  * d/control: point to rocm dependencies
  * d/rules: make sure to use amd llvm fork to build
  * debian: transition from librocblas4 to librocblas5

  [ Igor Luppi ]
  * d/control: update rocblas build-depends
  * d/rules: fix FTBFS by adding -Wl,--gc-sections to flags

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 28 Nov 2025 18:56:16 +0100

rocblas (6.4.4-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Replace wrong use of nocheck with noinsttest.
    Do build tests, benchmarks and testdata when needed. (Closes: #1126608)

 -- Christian Kastner <ckk@debian.org>  Thu, 05 Feb 2026 12:41:44 +0100

rocblas (6.4.4-3) unstable; urgency=medium

  * Drop ppc64el as a supported architecture.
    This can be re-enabled at a later point, but the current FTBFS will
    block migration until ftp-master removes pp64el in testing.

 -- Christian Kastner <ckk@debian.org>  Thu, 18 Dec 2025 09:31:46 +0100

rocblas (6.4.4-2) unstable; urgency=medium

  * Fix FTBFS when building only architecture independent packages
  * Remove d/p/expand-isa-compatibility.patch as it depends on architecture
    fallback behaviour from libamdhip64-5 that is no longer available in
    libamdhip64-6
  * Add prompt for rocminfo output to library and test bug reports

 -- Cordell Bloor <cgmb@debian.org>  Tue, 18 Nov 2025 19:11:07 -0700

rocblas (6.4.4-1) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/rules: use GPU_TARGETS instead of deprecated AMDGPU_TARGETS

  [ Christian Bayle ]
  * Use rocm-docs-build to avoid network access when building documentation
  * Add build dependancy on libdrm-dev
  * Disable offload-compress due to missing symbol errors in tests

  [ Cordell Bloor ]
  * New upstream version 6.4.4
  * Update B-D to LLVM 21 and latest ROCm stack (Closes: #1084071)
  * Drop d/p/remove-references-to-dfsg-violating-kernels.patch and
    remove Files-Excluded from d/copyright as the problem kernels
    have been removed upstream. The remaining assembly kernels appear
    to be original sources.
  * Update my email address
  * Remove inactive maintainers from uploaders
  * Add d/p/drop-Cijk_Ailk_Bjlk_4xi8-as-workaround.patch to work around
    invalid assembly in 4xi8 GEMM routines.
  * Enable Tensile lazy loading and separate architectures to reduce time
    required for library initialization.
  * Clean stray precompiled python files from upstream source before build

  [ Igor Luppi ]
  * d/librocblas-doc.docs: update build path for docs

  [ Kentaro Hayashi ]
  * Use d/watch 5

 -- Cordell Bloor <cgmb@debian.org>  Tue, 04 Nov 2025 14:29:00 -0700

rocblas (6.4.3+dfsg-1~exp1ubuntu1) UNRELEASED; urgency=medium

  [ Christian Bayle ]
  * d/rules: Use rocm-docs-build

  [ Igor Luppi ]
  * d/rules: update clang from v17 to llvm-toolchain-rocm
  * d/rules: fix FTBFS by adding -Wl,--gc-sections to flags
  * d/rules: add missing else case for turning off benchmark and tests
  * d/control: update rocblas build-depends
  * d/control: update maintainer field
  * d/librocblas-doc.docs: update build path for docs

 -- Igor Luppi <igor.luppi@canonical.com>  Thu, 09 Oct 2025 13:37:14 -0300

rocblas (6.4.3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 6.4.3+dfsg
  * Update d/gbp.conf to follow DEP-14
    https://dep-team.pages.debian.net/deps/dep14/
  * Update for new rocm-target-arch

 -- Christian Kastner <ckk@debian.org>  Sat, 09 Aug 2025 09:03:13 +0200

rocblas (6.4.1+dfsg-1~exp1) experimental; urgency=medium

  [ Christian Bayle ]
  * New upstream version 6.1.5+dfsg
    - Bump SOVER librocblas0 -> librocblas4
  * Rebase patches
  * Add clean override to remove some build files
  * Disable pip build, set cmake debug on
  * Add salsa CI
  * Add missing python3-joblib dep
  * Remove patch fixed upstream
  * Set Tensile_ROOT in debian/rules
  * set --ignore-asm-cap-cache to fix an error
  * Prepare rocm_docs based doc
  * Remove doc generated files at clean
  * Remove references to dfsg violating kernels
  * Disable CMAKE debug
  * Add myself in Uploaders and Debian Copyright

  [ Christian Kastner ]
  * New upstream version 6.4.1+dfsg
  * Rebase patches
  * Drop obsolete patches
  * Add Skip-git-requirement.patch
  * Add Use-local-mathjax.patch
  * Add Extend-docs-conf.py-for-offline-build.patch
  * Update install path version for test data
  * Update internal rocblas version for tensile library path
  * Update ISA compatibility hack to support HIP >= 6
  * Use rocm-target-arch to select and document build GPU arch
  * Add librocm-smi-dev, libroctx-dev to Build-Depends
  * Disable hipBLASlt support until it is packaged
  * d/rules: Drop test data build, upstream does it now
  * librocblas4.symbols:
    - librocblas4.symbols: Replace all C++ symbols with regex
    - Drop removed symbols
    - Add newly appeared symbols
  * Set Tensile compiler to hipcc
  * Exclude more references to DFSG-cleaned kernels
  * Build documentation with python3-rocm-docs
  * Add Built-Using field to librocblas-doc
  * Merge d/rules:dh_clean in into d/clean
  * Update d/clean
  * d/patches: Drop patch numbers
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * d/rules: Drop -S, cmake is inferred
  * Switch test runner over to universal location
  * Tweak d/watch
  * Update d/copyright
  * Update d/gbp.conf to reflect Team use

 -- Christian Kastner <ckk@debian.org>  Fri, 04 Jul 2025 16:11:07 +0200

rocblas (5.5.1+dfsg-7) unstable; urgency=medium

  * Migrate to unstable.
  * Update standards version to 4.7.0. No changes required.
  * Update upstream URLs.

 -- Cordell Bloor <cgmb@slerp.xyz>  Wed, 20 Nov 2024 01:27:40 -0700

rocblas (5.5.1+dfsg-7~exp1) experimental; urgency=medium

  * Add librocblas0-bench package.
  * Add d/p/0025-spelling.patch to fix spelling error in rocblas-bench.
  * d/rules: fix path to rocblas-test in build tests
  * d/rules: reduce build tests to a reasonable subset of autopkgtests
    so that maintainers actually run them.

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 31 Oct 2024 15:14:32 -0600

rocblas (5.5.1+dfsg-6) unstable; urgency=medium

  * Add d/p/0023-remove-mf16c-flag.patch to fix compatibility with non-AVX
    processors. (Closes: #1075724)
  * d/rules: simplify target architectures to match other ROCm libraries,
    dropping xnack- specialization on gfx906, gfx908 and xnack-/xnack+
    specialization on gfx90a (except in tensile kernels).
  * Add d/p/0024-use-xnack-specialized-assembly-kernels-with-gfx90a.patch
    to retain xnack-/xnack+ specialization in tensile kernels.
  * d/gbp.conf: ensure use of pristine-tar

 -- Cordell Bloor <cgmb@slerp.xyz>  Wed, 03 Jul 2024 15:23:54 -0600

rocblas (5.5.1+dfsg-5) unstable; urgency=medium

  * Migrate to unstable. (Closes: #1066792)
  * Add d/p/0022-reserved-identifiers.patch to backport fix for
    reserved identifiers in rocblas headers.
  * Use llvm-objdump from llvm-17 rather than from llvm-16.

 -- Cordell Bloor <cgmb@slerp.xyz>  Wed, 13 Mar 2024 10:14:41 -0600

rocblas (5.5.1+dfsg-5~exp2) experimental; urgency=medium

  [ Cordell Bloor ]
  * d/rules: skip rocblas-test in nocheck build profile
  * d/rules: skip building test data in nocheck build profile

  [ Christian Kastner ]
  * d/control: Add missing Breaks+Replaces for moved examples.
    They are now part of the -doc package. (Closes: #1065351)
  * Add lintian override for copyright false positive

 -- Christian Kastner <ckk@debian.org>  Sun, 03 Mar 2024 12:18:28 +0100

rocblas (5.5.1+dfsg-5~exp1) experimental; urgency=medium

  * Enable gfx1100, gfx1101, and gfx1102 architectures
  * The dev package now suggests the doc package
  * Code examples have been moved from the dev package to doc package
  * Removed patchelf from the Build-Depends
  * Use compressed DWARF5 debug symbols
  * d/control: mark test packages as <!nocheck>
  * d/control: add llvm to Build-Depends to workaround Bug #1065097

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 29 Feb 2024 15:43:38 -0700

rocblas (5.5.1+dfsg-4) unstable; urgency=medium

  [ Christian Kastner ]
  * autopkgtest: Export dmesg and other info as artifacts

  [ James McCoy ]
  * Switch libmsgpack-dev to libmsgpack-cxx-dev. (Closes: #1061623)

 -- Christian Kastner <ckk@debian.org>  Fri, 02 Feb 2024 14:18:29 +0100

rocblas (5.5.1+dfsg-3) unstable; urgency=medium

  * Add myself to Uploaders
  * autopkgtest: Use libopenblas0-pthread BLAS to speed up tests.
  * Filter cf-protection hardening from device code.
    Fixes a FTBFS with dpkg >= 1.22

 -- Christian Kastner <ckk@debian.org>  Tue, 19 Sep 2023 10:28:14 +0200

rocblas (5.5.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix ftbfs-source-after-build. (Closes: #1046971)

 -- Christian Kastner <ckk@debian.org>  Thu, 17 Aug 2023 20:11:43 +0200

rocblas (5.5.1+dfsg-2~exp1) experimental; urgency=medium

  * Add librocblas-doc package providing library documentation.
  * Add librocblas0-tests and librocblas0-tests-data packages
    for autopkgtests.
  * Add patches to fix build errors on arm64 and ppc64el.

 -- Cordell Bloor <cgmb@slerp.xyz>  Fri, 28 Jul 2023 15:08:48 -0600

rocblas (5.5.1+dfsg-1) unstable; urgency=medium

  * Migrate to unstable.
  * Fix maintainer name.
  * Restore d/p/0013-disable-rotg-nan-check.patch to fix tests.
  * Remove stray references to missing replacement kernels on
    gfx906, gfx908 and gfx90a (Closes: #1042036).

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 27 Jul 2023 09:53:26 -0600

rocblas (5.5.1+dfsg-1~exp1) experimental; urgency=medium

  * d/rules: explicitly disable lto
  * New upstream version 5.5.1+dfsg

 -- Cordell Bloor <cgmb@slerp.xyz>  Wed, 28 Jun 2023 17:23:22 -0600

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog librocblas-doc`.
